#nuke-on-error: true
os_type: ubuntu
overrides:
  admin_socket:
    branch: wip-5510
  ceph:
    conf:
      global:
        ms inject delay max: 1
        ms inject delay probability: 0.005
        ms inject delay type: mon
        ms inject internal delays: 0.002
        ms inject socket failures: 2500
      mon:
        debug mon: 20
        debug ms: 1
        debug paxos: 20
        mon min osdmap epochs: 25
        paxos service trim min: 5
    fs: xfs
    log-whitelist:
    - slow request
    sha1: 6432399cd2354174611c919554a3cdac4d1282cd
  ceph-deploy:
    branch:
      dev: wip-5510
    conf:
      client:
        log file: /var/log/ceph/ceph-$name.$pid.log
      mon:
        debug mon: 1
        debug ms: 20
        debug paxos: 20
  install:
    ceph:
      sha1: 6432399cd2354174611c919554a3cdac4d1282cd
  s3tests:
    branch: master
  workunit:
    sha1: 6432399cd2354174611c919554a3cdac4d1282cd
roles:
- - mon.a
  - mon.b
  - mon.c
  - mon.d
  - mon.e
  - osd.0
  - osd.1
  - osd.2
- - mon.f
  - mon.g
  - mon.h
  - mon.i
  - mds.a
  - osd.3
  - osd.4
  - osd.5
  - client.0
tasks:
- chef: null
- clock.check: null
- install: null
- ceph: null
- mon_thrash:
    revive_delay: 90
    thrash_delay: 1
    thrash_many: true
    thrash_store: true
- rados:
    clients:
    - client.0
    objects: 50
    op_weights:
      delete: 50
      read: 100
      rollback: 50
      snap_create: 50
      snap_remove: 50
      write: 100
    ops: 4000
teuthology_branch: master
